package config

import (
	"github.com/alexedwards/scs/v2"
	"github.com/violendy/SalesPortal/internal/models"
	"html/template"
	"log"
	"time"
)

type SyncType string

const (
	Date        SyncType = "Date"
	Incremental          = "Incremental"
	Text                 = "Text"
)

type SyncData struct {
	Tipe      SyncType
	DateValue models.SQLDate
	TextValue string
	IncValue  int64
}

type AppConfig struct {
	ContextTime   time.Duration
	ContextValue  time.Duration
	UseCache      bool
	TemplateCache map[string]*template.Template
	InfoLog       *log.Logger
	InProduction  bool
	LocalSyncData map[string]*SyncData
	Session       *scs.SessionManager
}
