package models

import (
	"github.com/mholt/binding"
	"github.com/shopspring/decimal"
	"net/http"
)

type PaymentData struct {
	UID            string
	KodePT         string
	KodeSales      string
	NoTransaksi    string
	TglBayar       SQLDate
	NoBayar        string
	NoJual         string
	Nilai          decimal.Decimal
	KodeCust       string
	NamaCust       string
	Keterangan     string
	ApprovalStatus ApprovalStatus
	Items          []PaymentDetail
}

func (od PaymentData) FieldMap(request *http.Request) binding.FieldMap {
	return binding.FieldMap{
		&od.UID: binding.Field{
			Required: true,
		},
	}
}

type PaymentDetail struct {
	NoUrut    int
	KodeBayar string
	NoBG      string
	Bank      string
	Nilai     decimal.Decimal
}

func (od PaymentDetail) FieldMap(request *http.Request) binding.FieldMap {
	return binding.FieldMap{
		&od.NoUrut: binding.Field{
			Required: true,
		},
		&od.KodeBayar: binding.Field{
			Required: true,
		},
		&od.Nilai: binding.Field{
			Required: true,
		},
	}
}
