package dbrepo

import (
	"database/sql"
	"github.com/violendy/SalesPortal/internal/config"
	"github.com/violendy/SalesPortal/internal/repository"
)

type nkDBRepo struct {
	App *config.AppConfig
	DB  map[string]*sql.DB
}
type portalDBRepo struct {
	App *config.AppConfig
	DB  *sql.DB
}

func NewPortalRepo(conn *sql.DB, a *config.AppConfig) repository.PortalDatabaseRepo {
	return &portalDBRepo{
		App: a,
		DB:  conn,
	}
}
func NewNKRepo(conn map[string]*sql.DB, a *config.AppConfig) repository.NKDatabaseRepo {
	return &nkDBRepo{
		App: a,
		DB:  conn,
	}
}
